{% extends 'base.html.twig' %}

{% block title %}Portfolio développeur web Full Stack{% endblock %}

{% block stylesheets %}
	{{ parent() }}
	{{ encore_entry_link_tags('home') }}
{% endblock %}

{% block body %}
	<main class="homepage">
		<section class="bg-primary reveal">
			<div class="container flex flex-col items-center justify-center h-screen md:flex-row">
				<img class="border-4 border-white rounded-full md:mr-4" src="{{ asset('media/images/profile.webp') }}" alt="Photo de Romain Herault">
				<div class="text-center text-white md:ml-4 md:text-left">
					<h2 class="text-6xl font-medium">Romain Herault</h2>
					<h1 class="text-3xl font-medium">Développeur Web Full Stack</h1>
				</div>
			</div>
		</section>

		<section class="py-6 bg-beige" id="services">
			<h2 class="mb-4 text-center">Mes services</h2>
			<div class="container">
				<carousel :scroll-per-page="false" :per-page="1">
					{% for service in services %}
						<slide>
							<card title="{{ service.title }}" description="{{ service.description }}"/>
						</slide>
					{% endfor %}
				</carousel>
			</div>

			<h2 class="my-4 text-center">Niveau d'agilité</h2>
			<div class="container reveal">
				{% for skill in skills %}
				<div class="mt-4">
					<progressbar language="{{ skill.name }}" percentage="{{ skill.percentage }}" index="{{ loop.index }}"/>
				</div>
				{% endfor %}
			</div>
		</section>

		<section class="z-0 heading-zoom">
			<h2 id="heading-zoom-title" class="text-center heading-zoom-title">projets</h2>
		</section>

		<section class="container z-10 homepage-projects">
			<div class="grid grid-cols-1 md:grid-cols-2">
				{% for project in projects %}
					{% if loop.first %}
						<div class="z-10 mx-auto lax">
					{% endif %}

					<article class="project">
						<a href="{{ path('project_show', { slug: project.slug }) }}"><img loading="lazy" src="{{ vich_uploader_asset(project, 'imageFile') | imagine_filter('thumb') }}" alt="Screenshot du site {{ project.title }}"></a>
						<h3 class="text-white">
							<a href="{{ path('project_show', { slug: project.slug }) }}">{{ project.title }}</a>
						</h3>
					</article>

					{% if loop.index == 5 %}
						</div>

						<div class="z-10 mx-auto lax projects-parallax">
					{% endif %}

					{% if loop.last %}
						</div>
					{% endif %}

				{% endfor %}
			</div>
		</section>
	</main>
{% endblock %}

{% block javascripts %}
	{{ parent() }}
	{{ encore_entry_script_tags('home') }}
{% endblock %}
